Order Deliveries
Part of the Sales API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List order deliveries
GET/admin/api/v1/sales/orders/{order_id}/deliveriesRetrieve a paginated list of deliveries for a specific order
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
order_id | integer | Yes | The order ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: user, owner, operationType, sourceLocation, destinationLocation, backOrder, return, partner, company, creator, moves, moveLines | partner,moves |
filter[id] | string | No | Comma-separated list of delivery IDs to filter by | |
filter[state] | string | No | Filter by delivery state | assigned |
filter[move_type] | string | No | Filter by move type | incoming |
sort | string | Yes | Sort field | -created_at |
page | integer | Yes | Page number | 1 |
bash
curl -X GET "https://your-domain.com/admin/api/v1/sales/orders/{order_id}/deliveries?include=partner%2Cmoves&filter%5Bstate%5D=assigned&filter%5Bmove_type%5D=incoming&sort=-created_at&page=1" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"javascript
const response = await fetch("https://your-domain.com/admin/api/v1/sales/orders/{order_id}/deliveries?include=partner%2Cmoves&filter%5Bstate%5D=assigned&filter%5Bmove_type%5D=incoming&sort=-created_at&page=1", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/sales/orders/{order_id}/deliveries?include=partner%2Cmoves&filter%5Bstate%5D=assigned&filter%5Bmove_type%5D=incoming&sort=-created_at&page=1', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/sales/orders/{order_id}/deliveries?include=partner%2Cmoves&filter%5Bstate%5D=assigned&filter%5Bmove_type%5D=incoming&sort=-created_at&page=1"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
json
{
"data": [
{
"id": null,
"name": "aut adipisci",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2026-10-12T10:50:03.000000Z",
"closed_at": null,
"created_at": null,
"updated_at": null
},
{
"id": null,
"name": "facere tempora",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2026-10-12T10:50:03.000000Z",
"closed_at": null,
"created_at": null,
"updated_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
json
{
"message": "Unauthenticated."
}